package com.buenodev.tests.debtoid_pruebas;

/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/
/*
Adaptador per carregar les dades dels contactes que tenen algun deute.
 */

import android.app.Activity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import java.util.ArrayList;


public class AdapterGrups extends ArrayAdapter<GrupsMet> {

    Activity context;
    ArrayList<GrupsMet> listaGrups;


    public AdapterGrups(Activity context, ArrayList<GrupsMet> listaGrups) {
        super(context, R.layout.list_item_grup, listaGrups);
        this.context = context;
        this.listaGrups = listaGrups;
    }

    public View getView(int position, View convertView, ViewGroup parent) {

        View item = convertView;
        item = context.getLayoutInflater().inflate(R.layout.list_item_grup, null);
        GrupsMet c = listaGrups.get(position);

        TextView nom = (TextView) item.findViewById(R.id.ListItem);
        TextView qty = (TextView) item.findViewById(R.id.ListItem2);


        nom.setText(c.getName(c.getIdGrup(), context));
        qty.setText(c.getQuantit(c.getIdGrup(), context));
        return item;
    }

}