package com.buenodev.tests.debtoid_pruebas;
/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/

/*
Adaptador per carregar les dades al llistat per usuari de deutes.
 */
import android.app.Activity;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class AdapterHContact1a1 extends ArrayAdapter<ContactMet1a1> {

    Activity context;
    ArrayList<ContactMet1a1> listaContactos;



    public AdapterHContact1a1(Activity context, ArrayList<ContactMet1a1> listaContactos) {
        super(context, R.layout.layout_adapterdeutes1a1, listaContactos);
        this.context = context;
        this.listaContactos = listaContactos;
    }

    public View getView(int position, View convertView, ViewGroup parent) {


        View item = convertView;
        item = context.getLayoutInflater().inflate(R.layout.layout_adapterdeutes1a1, null);
        ContactMet1a1 c = listaContactos.get(position);

        TextView concepte = (TextView)item.findViewById(R.id.Concept);
        TextView quantit = (TextView) item.findViewById(R.id.Quantitat);
        TextView dataIni = (TextView) item.findViewById(R.id.DataInici);

        SharedPreferences pref =
                PreferenceManager.getDefaultSharedPreferences(getContext());
        String  money = pref.getString("opciomoneda", "");
        switch (money){
        case "":
        money = "€";
        break;
        case "1":
        money = "€";
        break;
        case "2":
        money = "$";
        break;
        case "3":
        money = "£";
        break;
    }

        concepte.setText(c.getConcept(c.getIdContact(), context));
        quantit.setText("Deute final: " + c.getQuantit(c.getIdContact(), context) +" " + money);
        dataIni.setText(c.getDataIni(c.getIdContact(),context) + " - " + c.getDataFi(c.getIdContact(),context) );
        return (item);
    }

}