package com.buenodev.tests.debtoid_pruebas;

/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/
/*
Aquesta classe conté l'estructura de l'array que utilitzem per a extreure les dades relatives als
deutes tiups 1 a 1.
 */
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;



public class ContactMet1a1 {

    String IdContact;



    public ContactMet1a1(String IdContact) {
        super();
        this.IdContact = IdContact;

    }
    public String getIdContact() {
        return IdContact;
    }



//Métode que extreu el concepte d'un deute 1 a 1

    public static String getConcept(String IdUsuari, Context context) {

        String concepte = "DATO";

        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getConcepteD1a1(db,IdUsuari);
        for(cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            concepte = cur.getString(0);
        }
        return concepte;
    }



    //Métode que extreu la quantitat d'un deute 1 a 1
    public static String getQuantit(String IdUsuari, Context context) {

        String quantitat = "DATO";
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getQuantitatD1a1(db, IdUsuari);
        for(cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            quantitat = cur.getString(0);
        }

        return quantitat;
    }


    //Métode que extreu la data d'inici d'un deute 1 a 1
    public static String getDataIni(String IdUsuari, Context context) {

        String DataIni = "DATO";
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getDataIniD1a1(db, IdUsuari);
        for(cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            DataIni = cur.getString(0);
        }

        return DataIni;
    }

    //Métode que extreu la data de fi d'un deute 1 a 1
    public static String getDataFi(String IdUsuari, Context context) {

        String DataIni = "DATO";
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getDataFiD1a1(db,IdUsuari);
        for(cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            DataIni = cur.getString(0);
        }

        return DataIni;
    }


}
