package com.buenodev.tests.debtoid_pruebas;
/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/
/*
Aquesta classe conté l'estructura de l'array que utilitzem per a extreure les dades relatives als
deutes tiups 1 a 1.
 */

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

//Utilitzaré IdGrup per identificar les dades que extreuré segons el métode cridat
public class GrupsMet {

    String IdGrup;


    public GrupsMet(String IdGrup) {
        super();
        this.IdGrup = IdGrup;

    }

    public String getIdGrup() {
        return IdGrup;
    }


    public static String getName(String IdGrup, Context context) {      //Métode per trobar el nom des de la base de dades d'un grup

        String nom = "DATO";

        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();

        final Cursor cur = DebtoidDBOpenHelper.getNomGrup(db, IdGrup);
        for (cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            nom = cur.getString(0);
        }
        return nom;
    }


    public static String getQuantit(String IdGrup, Context context) {  //Métode per trobar la quantitat deguda des de la base de dades d'un grup


        String quantitat = "DATO";
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getQuantitatGrups(db, IdGrup);
        for (cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            quantitat = cur.getString(0);
        }


        return quantitat;
    }


    public static String getDataIni(String IdGrup, Context context) {   //Métode per trobar la data d'inici des de la base de dades d'un grup

        String DataIni;
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getDataIniGrups(db, IdGrup);
        cur.moveToFirst();
        DataIni = cur.getString(0);
        return DataIni;
    }

    public static String getDataFi(String IdGrup, Context context) {    //Métode per trobar la data de fi des de la base de dades d'un grup

        String DataFi = "DATO";
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(context, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getDataFiGrups(db, IdGrup);
        cur.moveToFirst();
        DataFi = cur.getString(0);
        return DataFi;
    }

}
