package com.buenodev.tests.debtoid_pruebas;
/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/

/*Aquesta classe mostra 3 ListViews amb un histric dels deu darrers cobraments/pagaments/grups tancats*/

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ListView;
import android.widget.TextView;
import java.util.ArrayList;


public class Resum_Activity extends ActionBarActivity {

    private TextView TextViewHGrups;
    private TextView TextViewHPagaments;
    private TextView TextViewHCobraments;
    private ListView listViewHGrups;
    private ListView listViewHPagaments;
    private ListView listViewHCobraments;

    //UUtilitzo un Arraylist i un adaptador per a cada lista
    ArrayList<GrupsMet> listaGrups;
    AdapterHGrups adapter;
    ArrayList<ContactMet1a1> listaCobraments;
    AdapterHContact1a1 adapterC;
    ArrayList<ContactMet1a1> listaPagaments;
    AdapterHContact1a1 adapterP;




    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_resum);
        TextViewHGrups = (TextView)findViewById(R.id.TextViewHGrups);
        TextViewHPagaments = (TextView)findViewById(R.id.TextViewHPagaments);
        TextViewHCobraments = (TextView)findViewById(R.id.TextViewHCobraments);
        listViewHGrups = (ListView)findViewById(R.id.listViewHGrups);
        listViewHPagaments = (ListView)findViewById(R.id.listViewHPagaments);
        listViewHCobraments = (ListView)findViewById(R.id.listViewHCobraments);

        listaGrups = new ArrayList<GrupsMet>();
        listaCobraments = new ArrayList<ContactMet1a1>();
        listaPagaments = new ArrayList<ContactMet1a1>();
        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(this, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();
        final Cursor cur = DebtoidDBOpenHelper.getDadesHGrups(db);

        //Per a les 3 vistes agafo les dades de la base de dades i les carrego en cursors, desprs afegeixo
        //les dades necessries a un adapter per a cada llista.

        for (cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
            listaGrups.add(new GrupsMet(cur.getString(0)));
        }

        adapter = new AdapterHGrups(this, listaGrups);
        listViewHGrups.setAdapter(adapter);
        adapter.notifyDataSetChanged();

        final Cursor cur2 = DebtoidDBOpenHelper.getDadesHPagament(db);
        for (cur2.moveToFirst(); !cur2.isAfterLast(); cur2.moveToNext()) {
            listaPagaments.add(new ContactMet1a1(cur2.getString(0)));
        }

        adapterP = new AdapterHContact1a1(this,listaPagaments);
        listViewHPagaments.setAdapter(adapterP);
        adapterP.notifyDataSetChanged();

        final Cursor cur3 = DebtoidDBOpenHelper.getDadesHCobrament(db);
        for (cur3.moveToFirst(); !cur3.isAfterLast(); cur3.moveToNext()) {
            listaCobraments.add(new ContactMet1a1(cur3.getString(0)));
        }

        adapterC = new AdapterHContact1a1(this,listaCobraments);
        listViewHCobraments.setAdapter(adapterC);
        adapterC.notifyDataSetChanged();



    }



    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_nou_grup_, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        //if (id == R.id.action_settings) {
            return true;
     //   }

       // return super.onOptionsItemSelected(item);
    }
}
