package com.buenodev.tests.debtoid_pruebas;

/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/
/*
Adaptador per carregar les dades dels contactes que tenen algun deute.
 */

import android.app.Activity;
import android.content.SharedPreferences;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.net.Uri;
import android.preference.PreferenceManager;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;


public class AdapterContactGrup extends ArrayAdapter<ContactGrup> {

    Activity context;
    ArrayList<ContactGrup> listaContactos;


    // Le pasamos al constructor el contecto y la lista de contactos
    public AdapterContactGrup(Activity context, ArrayList<ContactGrup> listaContactos) {
        super(context, R.layout.layout_adapterdeutes, listaContactos);
        this.context = context;
        this.listaContactos = listaContactos;
    }

    public View getView(int position, View convertView, ViewGroup parent) {

        View item = convertView;
        item = context.getLayoutInflater().inflate(R.layout.layout_adapterdeutes, null);
        ContactGrup c = listaContactos.get(position);

        ImageView img = (ImageView) item.findViewById(R.id.imagen);
        TextView nom = (TextView) item.findViewById(R.id.texto);

        nom.setText(c.getName(c.getIdContact(), context));
        img.setImageBitmap(c.getPhoto(c.getIdContact(), context));


        return (item);
    }


}