package com.buenodev.tests.debtoid_pruebas;
/*
/Aquesta obra esta subjecta a una licencia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
/
/
*/
//Classe per editar els grups

import android.annotation.TargetApi;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.provider.ContactsContract;
import android.support.v4.app.DialogFragment;
import android.support.v4.app.FragmentManager;
import android.support.v7.app.ActionBarActivity;
import android.util.Log;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;


public class EditGrup_Activity extends ActionBarActivity {
    public static final int PICK_CONTACT_REQUEST = 1;
    static String nombre;
    static Float Total;
    static String Id_Grup;
    static ArrayList<ContactGrup> listaContactos;
    private static Uri contactUri;
    private static EditText total;
    private static String Id_Deute;
    private static Integer Id_Deute2;
    private static EditText TextNom;
    private static EditText TextConcepte;
    private static TextView Dataini;
    ListView listView;
    private Button AfegirCont;
    private Button saveButton;
    private Button cancelButton;
    private Button notiButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_edit_grup);
        listView = (ListView) findViewById(R.id.listViewcontact);
        AfegirCont = (Button) findViewById((R.id.afegirUs));
        total = (EditText) findViewById(R.id.TextTotal);
        listaContactos = new ArrayList<ContactGrup>();
        saveButton = (Button) findViewById(R.id.Savebutton);
        cancelButton = (Button) findViewById(R.id.cancelbutton);
        notiButton = (Button) findViewById(R.id.Notibutton);
        TextNom = (EditText) findViewById(R.id.TextNom);
        TextConcepte = (EditText) findViewById(R.id.TextConcepte);
        Dataini = (TextView) findViewById(R.id.DataView);
        Bundle bundle = this.getIntent().getExtras();


        final DebtoidDBOpenHelper usdbh =
                new DebtoidDBOpenHelper(this, "DBDebtoid", null, 1);
        final SQLiteDatabase db = usdbh.getWritableDatabase();  //variable amb la base de dades
        // Butó per emmagatzemar a la base de dades
        SharedPreferences pref =
                PreferenceManager.getDefaultSharedPreferences(this);
        String ordre = pref.getString("opciordre", "");
        switch (ordre) {
            case "":
                ordre = "Total ASC";
                break;
            case "1":
                ordre = "Total ASC";
                break;
            case "2":
                ordre = "Total) DESC";
                break;
            case "3":
                ordre = "Data_Inici ASC";
                break;
            case "4":
                ordre = "Data_Inici DESC";
                break;
        }





      if (bundle.getString("IDvector").contentEquals("..")) {
           Id_Deute = bundle.getString("ID");
           Cursor c = DebtoidDBOpenHelper.getDadesGrups(db, ordre);
           c.moveToPosition(Integer.parseInt(Id_Deute) );
           Id_Grup = c.getString(0);
           TextNom.setText(c.getString(1));
           TextConcepte.setText(c.getString(2));
           Dataini.setText(c.getString(3));

           total.setText(c.getString(4));


       }else{
           Id_Deute = bundle.getString("IDvector");

           Cursor c = DebtoidDBOpenHelper.getDadesGrups(db, "_Id");
           c.moveToPosition(Integer.parseInt(Id_Deute));
           Id_Grup = c.getString(0);
           TextNom.setText(c.getString(1));
           TextConcepte.setText(c.getString(2));
           Dataini.setText(c.getString(3));

           total.setText(c.getString(4));

       }




        //ID del grup

        Total = Float.parseFloat(total.getText().toString());
        //carreguem dades al listview amb els contactes, en aquest cas considerem que no importa
        // l'ordre ja que tots haurien de tenir el mateix deute des de la mateixa data.

        Cursor ccc = DebtoidDBOpenHelper.getcontactsperDeuteGrup(db, Id_Grup);

        for (ccc.moveToFirst(); !ccc.isAfterLast(); ccc.moveToNext()) {
            Cursor cccc = DebtoidDBOpenHelper.getURiUserbyID(db, ccc.getString(2));
            cccc.moveToFirst();
            listaContactos.add(new ContactGrup(cccc.getString(0)));
        }
        Context context = this.getApplicationContext();
        AdapterContactGrup adapter = new AdapterContactGrup(this, listaContactos);
        listView.setAdapter(adapter);
        adapter.notifyDataSetChanged();
        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @TargetApi(Build.VERSION_CODES.JELLY_BEAN)
            public void onItemClick(AdapterView<?> parent, View view,
                                    int position, long id) {
                Bundle b = new Bundle();
                b.putString("pos", String.valueOf(position));
                b.putString("ID", String.valueOf(Id_Grup));
                Intent intent =
                        new Intent(EditGrup_Activity.this, EditUserGrup.class).addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                intent.putExtras(b);
                startActivity(intent, b);
                finish();
            }
        });

        saveButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {


                // En aquest cas no importa si l'usuari ha afegit o no usuaris, ja que els pot
                // afegir després,però sí que volem tenir la resta de dades per tal de crear el grup.

                if (total.getText().toString().isEmpty() || TextNom.getText().toString().isEmpty() || TextConcepte.getText().toString().isEmpty()) {
                    Toast toast1 =

                            Toast.makeText(getApplicationContext(),
                                    "Has d'omplir totes les dades ",        //Missatge d'error en cas de no haver introduït tots els paràmetres requerits
                                    Toast.LENGTH_LONG);
                    toast1.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
                    toast1.show();

                } else {
                    //Crida a missatge de confirmació per continuar el procés


                    FragmentManager fragmentManager = getSupportFragmentManager();
                    DialogoConfirmacion dialogo = new DialogoConfirmacion();
                    dialogo.show(fragmentManager, "tagAlerta");
                }
            }
        });


        cancelButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {


                // En aquest cas no importa si l'usuari ha afegit o no usuaris, ja que els pot
                // afegir després,però sí que volem tenir la resta de dades per tal de crear el grup.


                FragmentManager fragmentManager = getSupportFragmentManager();
                DialogoConfirmacionsaldar dialogo = new DialogoConfirmacionsaldar();
                dialogo.show(fragmentManager, "tagAlerta");


            }
        });

        notiButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                PackageManager pm = getPackageManager();
                try {

                    Intent waIntent = new Intent(Intent.ACTION_SEND);
                    waIntent.setType("text/plain");
                    String text = "---Enviat des de DEBTOID--- Recordatori de deuta:" +
                            " " + total.getText() + " en concepte de deute de grup  " +
                            TextNom.getText() + " - " + TextConcepte.getText();

                    PackageInfo info = pm.getPackageInfo("com.whatsapp", PackageManager.GET_META_DATA);
                    waIntent.setPackage("com.whatsapp");

                    waIntent.putExtra(Intent.EXTRA_TEXT, text);
                    startActivity(Intent.createChooser(waIntent, "Share with"));

                } catch (PackageManager.NameNotFoundException e) {
                    Toast.makeText(getApplication(), "WhatsApp no Instal-lat", Toast.LENGTH_SHORT)
                            .show();
                }

            }


        });


    }


    public void initPickContacts(View v) {
        // Intent per seleccionar contacte
        Intent i = new Intent(Intent.ACTION_PICK, ContactsContract.Contacts.CONTENT_URI);
        //       Iniciar la activitat esperant resposta  mitjançant el canal PICK_CONTACT_REQUEST
        startActivityForResult(i, PICK_CONTACT_REQUEST);
    }

    protected void onActivityResult(int requestCode, int resultCode, Intent intent) {       //Al rebre resultat del diàleg de confirmació...

        super.onActivityResult(requestCode, resultCode, intent);
        if (requestCode == PICK_CONTACT_REQUEST) {
            if (resultCode == RESULT_OK) {
                //Capturar el valor de la Uri
                contactUri = intent.getData();
                //Processar la Uri
                nombre = ContactMet.getName(contactUri.toString(), getApplicationContext());
                ;
                FragmentManager fragmentManager = getSupportFragmentManager();
                DialogoConfirmacioncontacto dialogo = new DialogoConfirmacioncontacto();
                dialogo.show(fragmentManager, "tagAlerta");
            }
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_nou_grup_, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        // if (id == R.id.action_settings) {
        return true;
        // }

        //   return super.onOptionsItemSelected(item);
    }

    public static class DialogoConfirmacioncontacto extends DialogFragment {       //Establim el diàlog de confirmació
        @Override
        public Dialog onCreateDialog(Bundle savedInstanceState) {
            final Context context = null;
            AlertDialog.Builder builder =
                    new AlertDialog.Builder(getActivity());

            builder.setMessage("Confirma que vols afegir l'usuari: " + nombre)
                    .setTitle("D'acord")
                    .setPositiveButton("Acceptar", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            Log.i("Dialogos", "Confirmació Acceptada.");
                            dialog.cancel();

                            //Tornem a declarar la base de dades per fer-ne ús
                            final DebtoidDBOpenHelper usdbh =
                                    new DebtoidDBOpenHelper(getActivity().getBaseContext(), "DBDebtoid", null, 1);

                            final SQLiteDatabase db = usdbh.getWritableDatabase();
                            DebtoidDBOpenHelper.insertarUsuari(db, contactUri);
                            Integer UserId = null;
                            final Cursor cur = DebtoidDBOpenHelper.getIdUser(db, contactUri);       //Trobem l'Id d'usuari de la base de dades a través de la Uri
                            for (cur.moveToFirst(); !cur.isAfterLast(); cur.moveToNext()) {
                                UserId = cur.getInt(0);
                            }

                            //Comprovar que l'índex d'usuari no existeix ja al grup:

                            Cursor usdeute = DebtoidDBOpenHelper.getcontactsperDeuteGrup(db, Id_Grup);
                            boolean compro = true;
                            for (usdeute.moveToFirst(); !usdeute.isAfterLast(); usdeute.moveToNext()) {
                                if (UserId == (usdeute.getInt(2))) {
                                    compro = false;
                                }

                            }
                            if (compro == false) {
                                Toast toast1 =

                                        Toast.makeText(getActivity(),
                                                "El contacte ja existeix al grup",        //Missatge d'error en cas de no haver introduït tots els paràmetres requerits
                                                Toast.LENGTH_LONG);
                                toast1.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
                                toast1.show();

                            } else {


                                //Insertar usuari i actualitzar pàgina

                                //String Totaldiv = String.valueOf(Total / listaContactos.size());


                                DebtoidDBOpenHelper.insertDeuteGrup(db, Id_Grup, UserId.toString(), "0");    //Inserim el deute


                                Intent intent =
                                        new Intent(getActivity(), EditUserGrup.class)
                                                .addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);//Tornem al menú principal de cobraments.
                                Bundle b = new Bundle();
                                b.putString("ID", String.valueOf(Id_Grup));
                                b.putString("pos", String.valueOf(listaContactos.size()));
                                intent.putExtras(b);


                                startActivity(intent);
                                getActivity().finish();

                            }

                        }

                    })
                    .setNegativeButton("Cancel-lar", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            Log.i("Dialogos", "Confirmació Cancel-lada");
                            dialog.cancel();
                        }
                    });
            return builder.create();
        }
    }

    public static class DialogoConfirmacionsaldar extends DialogFragment {       //Establim el diàlog de confirmació
        @Override
        public Dialog onCreateDialog(Bundle savedInstanceState) {
            final Context context = null;
            AlertDialog.Builder builder =
                    new AlertDialog.Builder(getActivity());

            builder.setMessage("Es donarà per saldat el deute")
                    .setTitle("D'acord")
                    .setPositiveButton("Acceptar", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            Log.i("Dialogos", "Confirmació Acceptada.");
                            dialog.cancel();

                            //Tornem a declarar la base de dades per fer-ne ús
                            final DebtoidDBOpenHelper usdbh =
                                    new DebtoidDBOpenHelper(getActivity().getBaseContext(), "DBDebtoid", null, 1);

                            final SQLiteDatabase db = usdbh.getWritableDatabase();
                            DebtoidDBOpenHelper.updatesaldadeutegrup(db, Id_Grup);
                            Intent intent =
                                    new Intent(getActivity(), Grups_Activity.class);
                            startActivity(intent);
                            getActivity().finish();


                        }

                    })
                    .setNegativeButton("Cancel-lar", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            Log.i("Dialogos", "Confirmació Cancel-lada");
                            dialog.cancel();
                        }
                    });
            return builder.create();
        }
    }

    public static class DialogoConfirmacion extends DialogFragment {       //Establim el diàlog de confirmació
        @Override
        public Dialog onCreateDialog(Bundle savedInstanceState) {
            final Context context = null;
            AlertDialog.Builder builder =
                    new AlertDialog.Builder(getActivity());

            builder.setMessage("Confirma que vols guardar els canvis")
                    .setTitle("D'acord")
                    .setPositiveButton("Acceptar", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            Log.i("Dialogos", "Confirmació Acceptada.");
                            dialog.cancel();
                            //Tornem a declarar la base de dades per fer-ne ús

                            if (Float.valueOf(total.getText().toString()) > 0) {
                                final DebtoidDBOpenHelper usdbh =
                                        new DebtoidDBOpenHelper(getActivity().getBaseContext(), "DBDebtoid", null, 1);
                                final SQLiteDatabase db = usdbh.getWritableDatabase();

                                DebtoidDBOpenHelper.updateGrup(db, Id_Grup.toString(), TextNom.getText().toString(), TextConcepte.getText().toString(), total.getText().toString());
                                Intent intent =
                                        new Intent(getActivity(), Grups_Activity.class)
                                                .addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);//Tornem al menú principal de cobraments.
                                Bundle b = new Bundle();
                            } else {
                                Toast toast1 =

                                        Toast.makeText(getActivity(),
                                                "Has d'omplir el valor del deute de grup, no pot ser igual a zero ",
                                                Toast.LENGTH_LONG);
                                toast1.show();
                            }
                        }
                    })
                    .setNegativeButton("Cancel-lar", new DialogInterface.OnClickListener() {
                        public void onClick(DialogInterface dialog, int id) {
                            Log.i("Dialogos", "Confirmació Cancel-lada");
                            dialog.cancel();
                        }
                    });
            return builder.create();
        }
    }
}
